Name:          kdeconnect
Version:       24.08.0
Release:       1mamba
Summary:       Connect Android, Blackberry and other devices with KDE deskto
Group:         Graphical Desktop/Applications/Internet
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://community.kde.org/KDEConnect
Source:        https://download.kde.org/%{stable_kde6}/release-service/%{version}/src/kdeconnect-kde-%{version}.tar.xz
Source1:       ufw-kdeconnect
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXtst-devel
BuildRequires: libdbus-devel
BuildRequires: libfakekey-devel
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libkf6-kbookmarks-devel
BuildRequires: libkf6-kcmutils-devel
BuildRequires: libkf6-kcolorscheme-devel
BuildRequires: libkf6-kcompletion-devel
BuildRequires: libkf6-kconfig-devel
BuildRequires: libkf6-kconfigwidgets-devel
BuildRequires: libkf6-kcoreaddons-devel
BuildRequires: libkf6-kcrash-devel
BuildRequires: libkf6-kdbusaddons-devel
BuildRequires: libkf6-kguiaddons-devel
BuildRequires: libkf6-ki18n-devel
BuildRequires: libkf6-kiconthemes-devel
BuildRequires: libkf6-kio-devel
BuildRequires: libkf6-kitemviews-devel
BuildRequires: libkf6-kjobwidgets-devel
BuildRequires: libkf6-knotifications-devel
BuildRequires: libkf6-kpeople-devel
BuildRequires: libkf6-kservice-devel
BuildRequires: libkf6-kstatusnotifieritem-devel
BuildRequires: libkf6-kwidgetsaddons-devel
BuildRequires: libkf6-kwindowsystem-devel
BuildRequires: libkf6-modemmanager-qt-devel
BuildRequires: libkf6-solid-devel
BuildRequires: libopenssl-devel
BuildRequires: libpulseaudio-qt-devel
BuildRequires: libstdc++6-devel
BuildRequires: libwayland-devel
BuildRequires: libxkbcommon-devel
BuildRequires: qt6-qtbase-devel
BuildRequires: qt6-qtconnectivity-devel
BuildRequires: qt6-qtdeclarative-devel
BuildRequires: qt6-qtmultimedia-devel
BuildRequires: qt6-qtwayland-devel
## AUTOBUILDREQ-END
BuildRequires: libkf6-qqc2-desktop-style-devel
BuildRequires: libpulseaudio-qt-devel >= 1.4.0-1mamba
BuildRequires: cmake
BuildRequires: libkpeoplevcard
Provides:      kdeconnect4
Obsoletes:     kdeconnect4 < 21.04.0
Provides:      kdeconnect-kde
Requires:      libkf6-qqc2-desktop-style
Requires:      libkpeoplevcard

%description
Connect Android, Blackberry and other devices with KDE desktop.

%debug_package

%prep
%setup -q -n kdeconnect-kde-%{version}

%build
%cmake_kf6\
   -DBUILD_TESTING=OFF \
   -Wno-dev

%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

install -D -m0755 %{SOURCE1} %{buildroot}%{_sysconfdir}/ufw/applications.d/ufw-kdeconnect

%find_lang %{name} --with-qt --with-html --all-name || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%{_sysconfdir}/xdg/autostart/org.kde.kdeconnect.daemon.desktop
%{_sysconfdir}/ufw/applications.d/ufw-kdeconnect
%{_bindir}/kdeconnect-*
%{_bindir}/kdeconnectd
%{_datadir}/metainfo/org.kde.kdeconnect.*.xml
%{_datadir}/applications/org.kde.kdeconnect*.desktop
%{_datadir}/applications/kcm_kdeconnect.desktop
%{_libdir}/libkdeconnectcore.so.*
%{_libdir}/libkdeconnectpluginkcm.so.*
%{_libdir}/libkdeconnectinterfaces.a
%dir %{_libdir}/qt6/plugins/kdeconnect
%{_libdir}/qt6/plugins/kdeconnect/kdeconnect_*.so
%{_libdir}/qt6/plugins/plasma/kcms/systemsettings_qwidgets/kcm_kdeconnect.so
%{_libdir}/qt6/plugins/kf6/kio/kdeconnect.so
%{_libdir}/qt6/plugins/kf6/kfileitemaction/kdeconnectfileitemaction.so
%dir %{_libdir}/qt6/plugins/kdeconnect/kcms
%{_libdir}/qt6/plugins/kdeconnect/kcms/kdeconnect_*.so
%dir %{_kf6_qmldir}/org/kde/kdeconnect
%{_kf6_qmldir}/org/kde/kdeconnect/*
%dir %{_datadir}/kdeconnect
%{_datadir}/kdeconnect/kdeconnect*.qml
%{_datadir}/contractor/kdeconnect.contract
%{_datadir}/dbus-1/services/org.kde.kdeconnect.service
%{_datadir}/qlogging-categories6/kdeconnect-kde.categories
%{_datadir}/knotifications6/kdeconnect.notifyrc
%dir %{_datadir}/plasma/plasmoids/org.kde.kdeconnect
%{_datadir}/plasma/plasmoids/org.kde.kdeconnect/*
%{_datadir}/Thunar/sendto/kdeconnect-thunar.desktop
%{_datadir}/zsh/site-functions/_kdeconnect
%{_datadir}/deepin/dde-file-manager/oem-menuextensions/kdeconnect-dde.desktop
%{_datadir}/nautilus-python/extensions/kdeconnect-share.py
%{_datadir}/icons/hicolor/*/status/*.svg
%{_datadir}/icons/hicolor/scalable/apps/kdeconnect*.svg
%doc LICENSES

%changelog
* Fri Aug 23 2024 Automatic Build System <autodist@openmamba.org> 24.08.0-1mamba
- automatic version update by autodist

* Thu Jul 04 2024 Automatic Build System <autodist@openmamba.org> 24.05.2-1mamba
- automatic version update by autodist

* Thu Jun 13 2024 Automatic Build System <autodist@openmamba.org> 24.05.1-1mamba
- automatic version update by autodist

* Tue May 28 2024 Automatic Build System <autodist@openmamba.org> 24.05.0-1mamba
- automatic version update by autodist

* Sat Apr 13 2024 Automatic Build System <autodist@openmamba.org> 24.02.2-1mamba
- automatic version update by autodist

* Fri Mar 22 2024 Automatic Build System <autodist@openmamba.org> 24.02.1-1mamba
- automatic version update by autodist

* Sun Mar 10 2024 Automatic Build System <autodist@openmamba.org> 24.02.0-1mamba
- automatic version update by autodist

* Fri Feb 16 2024 Automatic Build System <autodist@openmamba.org> 23.08.5-1mamba
- automatic version update by autodist

* Sun Jan 14 2024 Automatic Build System <autodist@mambasoft.it> 23.08.4-2mamba
- rebuilt by autoport with build requirements: libpulseaudio-qt-devel>=1.4.0-1mamba

* Fri Dec 08 2023 Automatic Build System <autodist@mambasoft.it> 23.08.4-1mamba
- automatic version update by autodist

* Thu Nov 09 2023 Automatic Build System <autodist@mambasoft.it> 23.08.3-1mamba
- automatic version update by autodist

* Thu Oct 12 2023 Automatic Build System <autodist@mambasoft.it> 23.08.2-1mamba
- automatic version update by autodist

* Thu Sep 14 2023 Automatic Build System <autodist@mambasoft.it> 23.08.1-1mamba
- automatic version update by autodist

* Fri Aug 25 2023 Automatic Build System <autodist@mambasoft.it> 23.08.0-1mamba
- automatic version update by autodist

* Fri Jul 07 2023 Automatic Build System <autodist@mambasoft.it> 23.04.3-1mamba
- automatic version update by autodist

* Fri Jun 09 2023 Automatic Build System <autodist@mambasoft.it> 23.04.2-1mamba
- automatic version update by autodist

* Wed May 31 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 23.04.1-2mamba
- add application rules file for ufw

* Thu May 11 2023 Automatic Build System <autodist@mambasoft.it> 23.04.1-1mamba
- automatic version update by autodist

* Sat Apr 22 2023 Automatic Build System <autodist@mambasoft.it> 23.04.0-1mamba
- automatic version update by autodist

* Fri Mar 03 2023 Automatic Build System <autodist@mambasoft.it> 22.12.3-1mamba
- automatic version update by autodist

* Fri Feb 03 2023 Automatic Build System <autodist@mambasoft.it> 22.12.2-1mamba
- automatic version update by autodist

* Fri Jan 06 2023 Automatic Build System <autodist@mambasoft.it> 22.12.1-1mamba
- automatic version update by autodist

* Thu Dec 08 2022 Automatic Build System <autodist@mambasoft.it> 22.12.0-1mamba
- automatic version update by autodist

* Fri Nov 04 2022 Automatic Build System <autodist@mambasoft.it> 22.08.3-1mamba
- automatic version update by autodist

* Fri Oct 14 2022 Automatic Build System <autodist@mambasoft.it> 22.08.2-1mamba
- automatic version update by autodist

* Thu Sep 08 2022 Automatic Build System <autodist@mambasoft.it> 22.08.1-1mamba
- automatic version update by autodist

* Fri Aug 19 2022 Automatic Build System <autodist@mambasoft.it> 22.08.0-1mamba
- automatic version update by autodist

* Fri Jul 08 2022 Automatic Build System <autodist@mambasoft.it> 22.04.3-1mamba
- automatic version update by autodist

* Fri Jun 10 2022 Automatic Build System <autodist@mambasoft.it> 22.04.2-1mamba
- automatic version update by autodist

* Thu May 12 2022 Automatic Build System <autodist@mambasoft.it> 22.04.1-1mamba
- automatic version update by autodist

* Sun Apr 24 2022 Automatic Build System <autodist@mambasoft.it> 22.04.0-1mamba
- automatic version update by autodist

* Thu Mar 03 2022 Automatic Build System <autodist@mambasoft.it> 21.12.3-1mamba
- automatic version update by autodist

* Fri Feb 04 2022 Automatic Build System <autodist@mambasoft.it> 21.12.2-1mamba
- automatic version update by autodist

* Fri Jan 07 2022 Automatic Build System <autodist@mambasoft.it> 21.12.1-1mamba
- automatic version update by autodist

* Sat Dec 11 2021 Automatic Build System <autodist@mambasoft.it> 21.12.0-1mamba
- automatic version update by autodist

* Fri Nov 05 2021 Automatic Build System <autodist@mambasoft.it> 21.08.3-1mamba
- automatic version update by autodist

* Tue Oct 12 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 21.08.2-1mamba
- update to 21.08.2

* Thu Sep 02 2021 Automatic Build System <autodist@mambasoft.it> 21.08.1-1mamba
- automatic version update by autodist

* Mon Aug 16 2021 Automatic Build System <autodist@mambasoft.it> 21.08.0-1mamba
- automatic version update by autodist

* Thu Jul 08 2021 Automatic Build System <autodist@mambasoft.it> 21.04.3-1mamba
- automatic version update by autodist

* Thu Jun 10 2021 Automatic Build System <autodist@mambasoft.it> 21.04.2-1mamba
- automatic version update by autodist

* Mon May 31 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 21.04.1-2mamba
- rebuilt with pulseaudio-qt 1.3

* Thu May 13 2021 Automatic Build System <autodist@mambasoft.it> 21.04.1-1mamba
- automatic version update by autodist

* Sat Apr 24 2021 Automatic Build System <autodist@mambasoft.it> 21.04.0-1mamba
- automatic version update by autodist

* Fri Mar 05 2021 Automatic Build System <autodist@mambasoft.it> 20.12.3-1mamba
- automatic version update by autodist

* Fri Feb 05 2021 Automatic Build System <autodist@mambasoft.it> 20.12.2-1mamba
- automatic version update by autodist

* Thu Jan 07 2021 Automatic Build System <autodist@mambasoft.it> 20.12.1-1mamba
- automatic version update by autodist

* Fri Dec 18 2020 Automatic Build System <autodist@mambasoft.it> 20.12.0-1mamba
- automatic version update by autodist

* Thu Nov 05 2020 Automatic Build System <autodist@mambasoft.it> 20.08.3-1mamba
- automatic version update by autodist

* Sat Oct 10 2020 Automatic Build System <autodist@mambasoft.it> 20.08.2-1mamba
- automatic version update by autodist

* Thu Sep 03 2020 Automatic Build System <autodist@mambasoft.it> 20.08.1-1mamba
- automatic version update by autodist

* Sat Aug 15 2020 Automatic Build System <autodist@mambasoft.it> 20.08.0-1mamba
- automatic version update by autodist

* Fri Jul 10 2020 Automatic Build System <autodist@mambasoft.it> 20.04.3-1mamba
- automatic version update by autodist

* Fri Jun 12 2020 Automatic Build System <autodist@mambasoft.it> 20.04.2-1mamba
- automatic version update by autodist

* Fri May 15 2020 Automatic Build System <autodist@mambasoft.it> 20.04.1-1mamba
- automatic version update by autodist

* Thu Apr 30 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 20.04.0-1mamba
- update to 20.04.0

* Wed Dec 11 2019 Automatic Build System <autodist@mambasoft.it> 1.4-1mamba
- automatic version update by autodist

* Sun Aug 04 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.5-1mamba
- update to 1.3.5

* Tue Nov 20 2018 Automatic Build System <autodist@mambasoft.it> 1.3.3-1mamba
- automatic version update by autodist

* Tue Oct 16 2018 Automatic Build System <autodist@mambasoft.it> 1.3.2-1mamba
- automatic version update by autodist

* Sun Jul 29 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.1-1mamba
- update to 1.3.1

* Sat Mar 24 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.1-1mamba
- update to 1.2.1

* Fri Oct 06 2017 Automatic Build System <autodist@mambasoft.it> 1.2-1mamba
- automatic version update by autodist

* Sun Dec 18 2016 Automatic Build System <autodist@mambasoft.it> 1.0.3-1mamba
- automatic version update by autodist

* Sat Nov 12 2016 Automatic Build System <autodist@mambasoft.it> 1.0.2-1mamba
- automatic version update by autodist

* Tue Oct 04 2016 Automatic Build System <autodist@mambasoft.it> 1.0.1-1mamba
- automatic version update by autodist

* Tue Aug 30 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-1mamba
- update to 1.0

* Thu Jul 21 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.0.20160721git-1mamba
- package created using the webbuild interface
